﻿<?xml version="1.0" encoding="utf-8"?>
<Project ToolsVersion="4.0" xmlns="http://schemas.microsoft.com/developer/msbuild/2003">
  <ItemGroup>
    <Filter Include="Source Files">
      <UniqueIdentifier>{4FC737F1-C7A5-4376-A066-2A32D752A2FF}</UniqueIdentifier>
      <Extensions>cpp;c;cc;cxx;c++;cppm;ixx;def;odl;idl;hpj;bat;asm;asmx</Extensions>
    </Filter>
    <Filter Include="Header Files">
      <UniqueIdentifier>{93995380-89BD-4b04-88EB-625FBE52EBFB}</UniqueIdentifier>
      <Extensions>h;hh;hpp;hxx;h++;hm;inl;inc;ipp;xsd</Extensions>
    </Filter>
    <Filter Include="Resource Files">
      <UniqueIdentifier>{67DA6AB6-F800-4c08-8B7A-83BB121AAD01}</UniqueIdentifier>
      <Extensions>rc;ico;cur;bmp;dlg;rc2;rct;bin;rgs;gif;jpg;jpeg;jpe;resx;tiff;tif;png;wav;mfcribbon-ms</Extensions>
    </Filter>
    <Filter Include="Source Files\Input">
      <UniqueIdentifier>{5120f0ea-6f2f-4b77-95dc-58bd27981b22}</UniqueIdentifier>
    </Filter>
    <Filter Include="Source Files\Transform2D">
      <UniqueIdentifier>{d5d72501-0be6-407a-9faf-0f0608dab56e}</UniqueIdentifier>
    </Filter>
    <Filter Include="Source Files\Factory">
      <UniqueIdentifier>{2279dbda-23ca-4e7c-84c4-198cb21d426d}</UniqueIdentifier>
    </Filter>
    <Filter Include="Source Files\RTTI">
      <UniqueIdentifier>{3f90b07f-5508-4bf4-a40c-c16f7159e8e0}</UniqueIdentifier>
    </Filter>
    <Filter Include="Source Files\RTTI">
      <UniqueIdentifier>{cc59430b-cab1-472e-9941-0917413c5604}</UniqueIdentifier>
    </Filter>
    <Filter Include="Source Files\RTTI\IBase">
      <UniqueIdentifier>{20925b05-c320-4ee6-8140-6ec4dec7aedc}</UniqueIdentifier>
    </Filter>
    <Filter Include="Source Files\RTTI\IComp">
      <UniqueIdentifier>{47294e23-f9a4-4145-9df4-e47b422b0a54}</UniqueIdentifier>
    </Filter>
    <Filter Include="Source Files\Extern">
      <UniqueIdentifier>{0acbbce0-f768-4194-a1d5-26292e4b6df8}</UniqueIdentifier>
    </Filter>
    <Filter Include="Source Files\Extern\STB">
      <UniqueIdentifier>{ffe5d047-5c87-4666-8301-cc747dc15518}</UniqueIdentifier>
    </Filter>
    <Filter Include="Source Files\Singleton">
      <UniqueIdentifier>{38c51586-2fe1-4423-97f3-db4428876f32}</UniqueIdentifier>
    </Filter>
    <Filter Include="Source Files\MainEngine">
      <UniqueIdentifier>{96672096-319d-4ee1-9f90-5fb5f9c95751}</UniqueIdentifier>
    </Filter>
    <Filter Include="Source Files\Extern">
      <UniqueIdentifier>{382fb2b2-2c02-438c-ae01-1be9b1ebc020}</UniqueIdentifier>
    </Filter>
    <Filter Include="Source Files\Extern\ImGui">
      <UniqueIdentifier>{e2761a89-0a96-4c7a-a162-fe08bfc4ac24}</UniqueIdentifier>
    </Filter>
    <Filter Include="Source Files\Editor">
      <UniqueIdentifier>{dedd8776-fcc9-48de-beb0-149f99f80088}</UniqueIdentifier>
    </Filter>
    <Filter Include="Source Files\LogicSystem">
      <UniqueIdentifier>{aeb7f3ad-0383-4ca2-8cbe-9d67341fcf88}</UniqueIdentifier>
    </Filter>
    <Filter Include="Source Files\Scene">
      <UniqueIdentifier>{f700ce82-afab-4c9c-9ad9-5e0eb4ec9381}</UniqueIdentifier>
    </Filter>
    <Filter Include="Source Files\Space">
      <UniqueIdentifier>{9a58ea47-2b03-4d39-89cd-5df231aed3fb}</UniqueIdentifier>
    </Filter>
    <Filter Include="Source Files\Time">
      <UniqueIdentifier>{975d6592-dd0e-47bd-830e-e38712dcae65}</UniqueIdentifier>
    </Filter>
    <Filter Include="Source Files\Collision">
      <UniqueIdentifier>{8e9a3064-02eb-48a5-bed4-a297f78d3cef}</UniqueIdentifier>
    </Filter>
    <Filter Include="Source Files\Physics">
      <UniqueIdentifier>{52a919a8-10f1-413d-b677-7ca217ac8032}</UniqueIdentifier>
    </Filter>
    <Filter Include="Source Files\Audio">
      <UniqueIdentifier>{1deade4e-4216-44f1-80c5-9c6e2f10b953}</UniqueIdentifier>
    </Filter>
    <Filter Include="Source Files\Editor\Menus">
      <UniqueIdentifier>{27141374-5799-4673-803c-d851509e8602}</UniqueIdentifier>
    </Filter>
    <Filter Include="Source Files\Editor\ObjectEdition">
      <UniqueIdentifier>{5a7d327a-059d-49e2-973d-564e39a1a71f}</UniqueIdentifier>
    </Filter>
    <Filter Include="Game">
      <UniqueIdentifier>{de46eb85-b6c3-4505-bfd6-1e6ac02f0f6d}</UniqueIdentifier>
    </Filter>
    <Filter Include="Game\CameraFollow">
      <UniqueIdentifier>{97b8f011-b8eb-4dac-85a0-0a01ee144b9a}</UniqueIdentifier>
    </Filter>
    <Filter Include="Game\PlayerMovement">
      <UniqueIdentifier>{78a62c37-6039-4317-a6a3-a3e8f1f1845c}</UniqueIdentifier>
    </Filter>
    <Filter Include="Game\PlatformSystem">
      <UniqueIdentifier>{07449566-9ce1-4910-ac2f-d6226c83045a}</UniqueIdentifier>
    </Filter>
    <Filter Include="Source Files\Path2D">
      <UniqueIdentifier>{7011bcb6-6592-4ed2-a5b0-c0d8c2858be6}</UniqueIdentifier>
    </Filter>
    <Filter Include="Source Files\RayCast">
      <UniqueIdentifier>{5421704a-c478-4c99-a913-e5796319cc11}</UniqueIdentifier>
    </Filter>
    <Filter Include="Source Files\Editor\CameraControls">
      <UniqueIdentifier>{0b261dbc-1480-4115-802b-83b7286614f2}</UniqueIdentifier>
    </Filter>
    <Filter Include="Source Files\StateMachines">
      <UniqueIdentifier>{314961f1-f27a-4c04-a7e6-aea831930daf}</UniqueIdentifier>
    </Filter>
    <Filter Include="Source Files\StateMachines\BrainComponent">
      <UniqueIdentifier>{955c7276-e02e-4ff1-a479-cfa673afdcf8}</UniqueIdentifier>
    </Filter>
    <Filter Include="Source Files\StateMachines\State">
      <UniqueIdentifier>{860716d8-7af8-4619-af1c-4ae45b728a52}</UniqueIdentifier>
    </Filter>
    <Filter Include="Source Files\StateMachines\StateMachine">
      <UniqueIdentifier>{84aac019-a4b3-4b35-8cd3-3ab8803721c3}</UniqueIdentifier>
    </Filter>
    <Filter Include="Source Files\StateMachines\SuperState">
      <UniqueIdentifier>{812b85c7-e731-4639-a5f1-bda727921aaa}</UniqueIdentifier>
    </Filter>
    <Filter Include="Source Files\EventSystem">
      <UniqueIdentifier>{d9f11947-7c5d-4d50-ae72-c86029d80da9}</UniqueIdentifier>
    </Filter>
    <Filter Include="Source Files\EventSystem\Events">
      <UniqueIdentifier>{4fd7c07c-e42f-4889-a703-fa5c9b6f2bdc}</UniqueIdentifier>
    </Filter>
    <Filter Include="Source Files\EventSystem\Listener">
      <UniqueIdentifier>{e518aea6-7e38-45ea-ba9e-9238ca8fe8a5}</UniqueIdentifier>
    </Filter>
    <Filter Include="Source Files\EventSystem\EventHandler">
      <UniqueIdentifier>{984c4b04-e0a1-483a-aded-5d722c2df631}</UniqueIdentifier>
    </Filter>
    <Filter Include="Source Files\EventSystem\Event">
      <UniqueIdentifier>{d7d7d379-4de1-4e7d-85ef-7d2994d34ce5}</UniqueIdentifier>
    </Filter>
    <Filter Include="Source Files\RayCast\RayCast">
      <UniqueIdentifier>{5a8b84d7-e023-42a2-bfce-5014ef36e1ab}</UniqueIdentifier>
    </Filter>
    <Filter Include="Source Files\RayCast\LineSegment2D">
      <UniqueIdentifier>{bdc2a87f-44c1-49c0-bf68-b868372deb76}</UniqueIdentifier>
    </Filter>
    <Filter Include="Source Files\RayCast\RayCaster">
      <UniqueIdentifier>{2b188a1d-15a7-40de-940f-e84675ca3508}</UniqueIdentifier>
    </Filter>
    <Filter Include="Source Files\Animation">
      <UniqueIdentifier>{b1965060-0365-49a2-bafc-57fe7705c06e}</UniqueIdentifier>
    </Filter>
    <Filter Include="Source Files\Extern\Spine">
      <UniqueIdentifier>{9de997bb-3666-45b3-a1c2-0a72f924a1b6}</UniqueIdentifier>
    </Filter>
    <Filter Include="Source Files\ResourceManager">
      <UniqueIdentifier>{281cadc2-702c-4d3d-862e-25efad35687c}</UniqueIdentifier>
    </Filter>
    <Filter Include="Source Files\FilePath">
      <UniqueIdentifier>{a47c000a-7376-4f91-95f4-e8f5f4dfcaa1}</UniqueIdentifier>
    </Filter>
    <Filter Include="Source Files\OpenSaveFile">
      <UniqueIdentifier>{4fc7d6be-2c17-4528-ae70-f02dd78712c4}</UniqueIdentifier>
    </Filter>
    <Filter Include="Source Files\Archetype">
      <UniqueIdentifier>{28ebe626-e28c-44ad-b3e9-6bfd2db27ce0}</UniqueIdentifier>
    </Filter>
    <Filter Include="Source Files\GameObject">
      <UniqueIdentifier>{74d26966-3f55-4e81-9c9f-08570debf2c3}</UniqueIdentifier>
    </Filter>
    <Filter Include="Source Files\Graphics">
      <UniqueIdentifier>{06ade625-637f-4e9b-beb2-c5936051c27e}</UniqueIdentifier>
    </Filter>
    <Filter Include="Source Files\Graphics\RenderManager">
      <UniqueIdentifier>{2815d8c9-c4bb-4341-b5b1-3e1146166688}</UniqueIdentifier>
    </Filter>
    <Filter Include="Source Files\Graphics\Camera">
      <UniqueIdentifier>{78fef972-9b25-4d7f-ab10-b046cdffd1f7}</UniqueIdentifier>
    </Filter>
    <Filter Include="Source Files\Graphics\Window">
      <UniqueIdentifier>{849caf19-4baa-4023-b33d-029720d4d4f8}</UniqueIdentifier>
    </Filter>
    <Filter Include="Source Files\Graphics\OGLDebug">
      <UniqueIdentifier>{20c5abae-c2b3-4335-a604-311c6e5c892c}</UniqueIdentifier>
    </Filter>
    <Filter Include="Source Files\Graphics\Mesh">
      <UniqueIdentifier>{251d32b1-345a-4907-9369-4d3a69c98514}</UniqueIdentifier>
    </Filter>
    <Filter Include="Source Files\Graphics\Vertex">
      <UniqueIdentifier>{76482b54-0b39-4b64-9a87-96d75113acfd}</UniqueIdentifier>
    </Filter>
    <Filter Include="Source Files\Graphics\Color">
      <UniqueIdentifier>{8bf73e69-ce6f-4483-b951-3e9d76c0a5c7}</UniqueIdentifier>
    </Filter>
    <Filter Include="Source Files\Graphics\Shaders">
      <UniqueIdentifier>{0e373bc7-1033-4793-87cc-491b32cd83c8}</UniqueIdentifier>
    </Filter>
    <Filter Include="Source Files\Graphics\Texture">
      <UniqueIdentifier>{593dfa9f-0eda-4efa-8840-1298ae41e98f}</UniqueIdentifier>
    </Filter>
    <Filter Include="Source Files\Graphics\Renderable">
      <UniqueIdentifier>{1376de19-842b-4144-9d30-9fc1f8bcff1a}</UniqueIdentifier>
    </Filter>
    <Filter Include="Game\BasicEnemy">
      <UniqueIdentifier>{157c5f3f-2612-4423-b049-3db1cb1e5bde}</UniqueIdentifier>
    </Filter>
    <Filter Include="Game\ChargerEnemy">
      <UniqueIdentifier>{7eef96b7-bbb2-4163-a064-17667916bbff}</UniqueIdentifier>
    </Filter>
    <Filter Include="Game\GameInput">
      <UniqueIdentifier>{530f4ff6-d7f0-4be3-ac88-ae97d3e32942}</UniqueIdentifier>
    </Filter>
    <Filter Include="Game\FlyingEnemy">
      <UniqueIdentifier>{86a4f1df-1419-4738-9e65-d72d140595e6}</UniqueIdentifier>
    </Filter>
    <Filter Include="Game\TurretEnemy">
      <UniqueIdentifier>{ba18bb09-184d-4eaa-a408-06862c739efb}</UniqueIdentifier>
    </Filter>
    <Filter Include="Source Files\Collision\CollisionTable">
      <UniqueIdentifier>{065685ae-bbb9-4083-aa00-eb9f38f7466c}</UniqueIdentifier>
    </Filter>
    <Filter Include="Source Files\Collision\CollisionSystem">
      <UniqueIdentifier>{9bbbdea8-0c8a-4c7f-92cd-e349a77480ba}</UniqueIdentifier>
    </Filter>
    <Filter Include="Source Files\Collision\Collision">
      <UniqueIdentifier>{174df8ce-91d5-4d7c-bfb8-0d667805b249}</UniqueIdentifier>
    </Filter>
    <Filter Include="Source Files\Collision\ContactCollisions">
      <UniqueIdentifier>{0c870a88-c290-48d2-8cbe-583b3fb762b0}</UniqueIdentifier>
    </Filter>
    <Filter Include="Source Files\Collision\Collider">
      <UniqueIdentifier>{48dffac5-849e-4603-9b43-2bb48d7fda5e}</UniqueIdentifier>
    </Filter>
    <Filter Include="Source Files\Collision\Polygon">
      <UniqueIdentifier>{c901f71b-d538-46cd-9ed9-57206e5cdbee}</UniqueIdentifier>
    </Filter>
    <Filter Include="Source Files\Factory\PropertySystem">
      <UniqueIdentifier>{4cc8eb9e-70d9-41a9-ae61-cd20ea4b2456}</UniqueIdentifier>
    </Filter>
    <Filter Include="Game\Lifebar">
      <UniqueIdentifier>{0e3e6e5a-8014-4cc9-8b32-e04873bf21dc}</UniqueIdentifier>
    </Filter>
    <Filter Include="Game\Purification">
      <UniqueIdentifier>{896fa5dc-4bce-43dd-9b40-8cee9a492d46}</UniqueIdentifier>
    </Filter>
    <Filter Include="Game\HoverBoard">
      <UniqueIdentifier>{754a4e8c-be05-4f0e-8863-4671bb2c9681}</UniqueIdentifier>
    </Filter>
    <Filter Include="Source Files\Time\FRC">
      <UniqueIdentifier>{417d1824-67b6-4cfc-90e1-629eb0fb992e}</UniqueIdentifier>
    </Filter>
    <Filter Include="Source Files\Time\Timer">
      <UniqueIdentifier>{94267942-9aec-4f64-a0a6-881e1ea77754}</UniqueIdentifier>
    </Filter>
    <Filter Include="Source Files\AssertSystem">
      <UniqueIdentifier>{e878a1fb-1c16-4a5d-8fdf-dc1fa8196975}</UniqueIdentifier>
    </Filter>
    <Filter Include="Game\ArenaManager">
      <UniqueIdentifier>{b1ecdda2-796f-4298-92af-206ebdd99a4b}</UniqueIdentifier>
    </Filter>
    <Filter Include="Game\ArenaManager\TriggerArena">
      <UniqueIdentifier>{8d055553-c040-4f18-8da4-a5cf7da3df5c}</UniqueIdentifier>
    </Filter>
    <Filter Include="Source Files\Graphics\Font">
      <UniqueIdentifier>{ea158c69-62e7-4214-a1f4-c78bbe2ce977}</UniqueIdentifier>
    </Filter>
    <Filter Include="Game\Health">
      <UniqueIdentifier>{55e8b631-d30f-4488-a2ed-e8eff64135a0}</UniqueIdentifier>
    </Filter>
    <Filter Include="Game\GasEnemy">
      <UniqueIdentifier>{594c3655-9a9d-41de-87fe-5667a4c3896f}</UniqueIdentifier>
    </Filter>
    <Filter Include="Source Files\Cheats">
      <UniqueIdentifier>{8394beeb-92cf-4020-9973-273b3c14d875}</UniqueIdentifier>
    </Filter>
    <Filter Include="Source Files\SpacePartitioning">
      <UniqueIdentifier>{8c06752e-172f-492b-bb89-ab2329780085}</UniqueIdentifier>
    </Filter>
    <Filter Include="Source Files\Graphics\ParticleSystem">
      <UniqueIdentifier>{74aaa2d8-2f6e-498f-bfd4-48ca1669b04c}</UniqueIdentifier>
    </Filter>
    <Filter Include="Source Files\Threadpool">
      <UniqueIdentifier>{ca3253e5-d9db-4dc3-845c-edba48465161}</UniqueIdentifier>
    </Filter>
    <Filter Include="Source Files\Settings">
      <UniqueIdentifier>{71f3f621-aecc-4934-a0f9-3430e7aa35f1}</UniqueIdentifier>
    </Filter>
    <Filter Include="Source Files\Level">
      <UniqueIdentifier>{213eb678-21c8-4d9d-84fc-bc251a264435}</UniqueIdentifier>
    </Filter>
    <Filter Include="Source Files\Debug">
      <UniqueIdentifier>{7989e23e-1ad7-4e58-b43b-0ce6d7602554}</UniqueIdentifier>
    </Filter>
    <Filter Include="Source Files\Profiler">
      <UniqueIdentifier>{1baf3ffb-0832-4a78-b28e-1a5df4cebd02}</UniqueIdentifier>
    </Filter>
    <Filter Include="Game\BulletTimer">
      <UniqueIdentifier>{52d4e85c-9c4f-424e-82a8-0bd8cef5aeae}</UniqueIdentifier>
    </Filter>
    <Filter Include="Source Files\Changer">
      <UniqueIdentifier>{e5010514-2214-4be5-9b75-b999a8b9c39d}</UniqueIdentifier>
    </Filter>
    <Filter Include="Game\HoverBoard\TriggerHoverboard">
      <UniqueIdentifier>{879ed674-dba0-479c-b138-995f8fc46652}</UniqueIdentifier>
    </Filter>
    <Filter Include="Game\CameraFollow\CameraTriggerer">
      <UniqueIdentifier>{cd9884f2-b921-48aa-bdfb-53bcd2b5c8ed}</UniqueIdentifier>
    </Filter>
    <Filter Include="Game\CameraFollow\CameraMachine">
      <UniqueIdentifier>{b6b9a25b-59f9-49d4-9a29-30d6ab31080c}</UniqueIdentifier>
    </Filter>
    <Filter Include="Source Files\MenuManager">
      <UniqueIdentifier>{df3aeb7d-2ac3-45fb-bac6-249918b24b47}</UniqueIdentifier>
    </Filter>
    <Filter Include="Game\Hitbox">
      <UniqueIdentifier>{2eb27359-1ca7-4f16-96eb-f3f72ee63f56}</UniqueIdentifier>
    </Filter>
    <Filter Include="Game\CameraFollow\CameraEffect">
      <UniqueIdentifier>{88c9cb04-45ce-46d2-9c10-1d621449a6a6}</UniqueIdentifier>
    </Filter>
    <Filter Include="Game\CameraFollow\Parallax">
      <UniqueIdentifier>{85bafa7f-f7e7-422c-b793-bc048ed114f2}</UniqueIdentifier>
    </Filter>
    <Filter Include="Game\HoverBoard\RespawnHoverboard">
      <UniqueIdentifier>{8e9e8c0c-f2a6-4272-b25c-1196304b78a3}</UniqueIdentifier>
    </Filter>
    <Filter Include="Game\TutorialDummy">
      <UniqueIdentifier>{39c88ce2-6e6a-4f83-8b9f-9a3dceeb8e4e}</UniqueIdentifier>
    </Filter>
    <Filter Include="Game\BasicEnemy\BasicTicketer">
      <UniqueIdentifier>{c4229a51-8bc7-408e-9165-71f6d3c11b35}</UniqueIdentifier>
    </Filter>
    <Filter Include="Game\GasEnemy\GasTicketer">
      <UniqueIdentifier>{6207efd0-d33d-48e5-86d0-db1515e8d19a}</UniqueIdentifier>
    </Filter>
    <Filter Include="SpacePunkGame">
      <UniqueIdentifier>{f2cf19b9-a706-402a-aa21-18d438af24b7}</UniqueIdentifier>
    </Filter>
    <Filter Include="SpacePunkGame\Player">
      <UniqueIdentifier>{11d47bfa-5991-4cd9-86ec-a1b3e73bae21}</UniqueIdentifier>
    </Filter>
    <Filter Include="SpacePunkGame\Player\PlayerShipMovement">
      <UniqueIdentifier>{04e68c41-ca53-465e-ba00-166e32cbc3c9}</UniqueIdentifier>
    </Filter>
    <Filter Include="SpacePunkGame\Player\PlayerShipAttack">
      <UniqueIdentifier>{ac829b09-08b9-4d97-8936-73b6bfe26e3a}</UniqueIdentifier>
    </Filter>
    <Filter Include="SpacePunkGame\LaserBullet">
      <UniqueIdentifier>{449a7ffc-b47d-47f0-b223-9055539ac149}</UniqueIdentifier>
    </Filter>
    <Filter Include="SpacePunkGame\Asteroid">
      <UniqueIdentifier>{f5c057b3-87db-4538-a372-1bb8a6e96986}</UniqueIdentifier>
    </Filter>
    <Filter Include="SpacePunkGame\ScreenWraper">
      <UniqueIdentifier>{28c63230-5193-443e-bddf-1e8d2be74f3a}</UniqueIdentifier>
    </Filter>
    <Filter Include="SpacePunkGame\Enemies">
      <UniqueIdentifier>{6697e271-f9d0-4cc0-9fc5-340d7b7f32bb}</UniqueIdentifier>
    </Filter>
    <Filter Include="SpacePunkGame\Enemies\StandardEnemy">
      <UniqueIdentifier>{62f01a2b-7815-4869-9504-e7075dca3eab}</UniqueIdentifier>
    </Filter>
    <Filter Include="SpacePunkGame\Enemies\StandardEnemy\StandardEnemyMovement">
      <UniqueIdentifier>{3ef19846-488b-4c31-9f80-2080e182d6ec}</UniqueIdentifier>
    </Filter>
    <Filter Include="SpacePunkGame\Enemies\EvadingComponent">
      <UniqueIdentifier>{a3a5e7b4-2017-49b2-8543-e422813b06be}</UniqueIdentifier>
    </Filter>
    <Filter Include="SpacePunkGame\Enemies\StandardEnemy\StandardEnemyAttack">
      <UniqueIdentifier>{8edf240e-124d-4c2f-be41-f9383eeb4edc}</UniqueIdentifier>
    </Filter>
    <Filter Include="SpacePunkGame\Enemies\StandardEnemy\StandardEnemyLaserBulletComp">
      <UniqueIdentifier>{85ff4b1d-604f-486e-a86f-77bb65000a66}</UniqueIdentifier>
    </Filter>
    <Filter Include="SpacePunkGame\Enemies\HeavyEnemy">
      <UniqueIdentifier>{1fe75f66-592b-46a4-ac45-d874bd9155f9}</UniqueIdentifier>
    </Filter>
    <Filter Include="SpacePunkGame\Enemies\HeavyEnemy\HeavyEnemyMovement">
      <UniqueIdentifier>{707678fc-d2d0-4600-8f2e-87efa845b2dd}</UniqueIdentifier>
    </Filter>
    <Filter Include="SpacePunkGame\Enemies\HeavyEnemy\HeavyEnemyAttack">
      <UniqueIdentifier>{42394eaf-6a2a-4708-a3b2-c29b5e08dad9}</UniqueIdentifier>
    </Filter>
    <Filter Include="SpacePunkGame\Enemies\HeavyEnemy\HeavyEnemyLaserBulletComp">
      <UniqueIdentifier>{f09ae11a-ea29-47d9-a254-f8ac81c423d9}</UniqueIdentifier>
    </Filter>
    <Filter Include="SpacePunkGame\CameraShake">
      <UniqueIdentifier>{8d96cde0-363d-451f-833c-121703762429}</UniqueIdentifier>
    </Filter>
    <Filter Include="SpacePunkGame\Player\HealthComponent">
      <UniqueIdentifier>{69cb21d8-3ff7-4cf8-bc3c-615d6b19f79d}</UniqueIdentifier>
    </Filter>
    <Filter Include="SpacePunkGame\WaveComponent">
      <UniqueIdentifier>{8b60e44a-b703-4307-9643-b93448ed0d33}</UniqueIdentifier>
    </Filter>
    <Filter Include="SpacePunkGame\Player\WaveManager">
      <UniqueIdentifier>{644f7b52-3970-4929-be62-1859ac80b6c8}</UniqueIdentifier>
    </Filter>
  </ItemGroup>
  <ItemGroup>
    <ClCompile Include="src\main.cpp">
      <Filter>Source Files</Filter>
    </ClCompile>
    <ClCompile Include="src\Transform2D\Transform2D.cpp">
      <Filter>Source Files\Transform2D</Filter>
    </ClCompile>
    <ClCompile Include="src\Input\Input.cpp">
      <Filter>Source Files\Input</Filter>
    </ClCompile>
    <ClCompile Include="src\Graphics\Window\Window.cpp">
      <Filter>Source Files\Graphics\Window</Filter>
    </ClCompile>
    <ClCompile Include="src\Graphics\OGLDebug\OGLDebug.cpp">
      <Filter>Source Files\Graphics\OGLDebug</Filter>
    </ClCompile>
    <ClCompile Include="src\Graphics\Mesh\Mesh.cpp">
      <Filter>Source Files\Graphics\Mesh</Filter>
    </ClCompile>
    <ClCompile Include="src\Graphics\Shaders\Shader.cpp">
      <Filter>Source Files\Graphics\Shaders</Filter>
    </ClCompile>
    <ClCompile Include="src\RTTI\IBase.cpp">
      <Filter>Source Files\RTTI\IBase</Filter>
    </ClCompile>
    <ClCompile Include="src\Graphics\RenderManager\RenderManager.cpp">
      <Filter>Source Files\Graphics\RenderManager</Filter>
    </ClCompile>
    <ClCompile Include="src\Factory\Factory.cpp">
      <Filter>Source Files\Factory</Filter>
    </ClCompile>
    <ClCompile Include="src\Graphics\Texture\Texture.cpp">
      <Filter>Source Files\Graphics\Texture</Filter>
    </ClCompile>
    <ClCompile Include="src\Graphics\Camera\Camera.cpp">
      <Filter>Source Files\Graphics\Camera</Filter>
    </ClCompile>
    <ClCompile Include="src\Singleton\Singleton.cpp">
      <Filter>Source Files\Singleton</Filter>
    </ClCompile>
    <ClCompile Include="src\MainEngine\MainEngine.cpp">
      <Filter>Source Files\MainEngine</Filter>
    </ClCompile>
    <ClCompile Include="src\Editor\Editor.cpp">
      <Filter>Source Files\Editor</Filter>
    </ClCompile>
    <ClCompile Include="src\Extern\ImGui\imgui_widgets.cpp">
      <Filter>Source Files\Extern\ImGui</Filter>
    </ClCompile>
    <ClCompile Include="src\Extern\ImGui\imgui.cpp">
      <Filter>Source Files\Extern\ImGui</Filter>
    </ClCompile>
    <ClCompile Include="src\Extern\ImGui\imgui_demo.cpp">
      <Filter>Source Files\Extern\ImGui</Filter>
    </ClCompile>
    <ClCompile Include="src\Extern\ImGui\imgui_draw.cpp">
      <Filter>Source Files\Extern\ImGui</Filter>
    </ClCompile>
    <ClCompile Include="src\Extern\ImGui\imgui_impl_opengl3.cpp">
      <Filter>Source Files\Extern\ImGui</Filter>
    </ClCompile>
    <ClCompile Include="src\Extern\ImGui\imgui_impl_sdl.cpp">
      <Filter>Source Files\Extern\ImGui</Filter>
    </ClCompile>
    <ClCompile Include="src\LogicSystem\LogicSystem.cpp">
      <Filter>Source Files\LogicSystem</Filter>
    </ClCompile>
    <ClCompile Include="src\Scene\Scene.cpp">
      <Filter>Source Files\Scene</Filter>
    </ClCompile>
    <ClCompile Include="src\Space\Space.cpp">
      <Filter>Source Files\Space</Filter>
    </ClCompile>
    <ClCompile Include="src\Transform2D\TransformComponent.cpp">
      <Filter>Source Files\Transform2D</Filter>
    </ClCompile>
    <ClCompile Include="src\Graphics\Renderable\Renderable.cpp">
      <Filter>Source Files\Graphics\Renderable</Filter>
    </ClCompile>
    <ClCompile Include="src\GameObject\GameObject.cpp">
      <Filter>Source Files\GameObject</Filter>
    </ClCompile>
    <ClCompile Include="src\Physics\PhysicSystem.cpp">
      <Filter>Source Files\Physics</Filter>
    </ClCompile>
    <ClCompile Include="src\Physics\RigidBody.cpp">
      <Filter>Source Files\Physics</Filter>
    </ClCompile>
    <ClCompile Include="src\Audio\AudioManager.cpp">
      <Filter>Source Files\Audio</Filter>
    </ClCompile>
    <ClCompile Include="src\LogicSystem\LogicComponent.cpp">
      <Filter>Source Files\LogicSystem</Filter>
    </ClCompile>
    <ClCompile Include="src\Audio\Voice.cpp">
      <Filter>Source Files\Audio</Filter>
    </ClCompile>
    <ClCompile Include="src\Audio\SoundEmitter.cpp">
      <Filter>Source Files\Audio</Filter>
    </ClCompile>
    <ClCompile Include="src\Editor\Menus\Menus.cpp">
      <Filter>Source Files\Editor\Menus</Filter>
    </ClCompile>
    <ClCompile Include="src\Editor\ObjectEdition\ObjectEdition.cpp">
      <Filter>Source Files\Editor\ObjectEdition</Filter>
    </ClCompile>
    <ClCompile Include="src\Game\CameraFollow\CameraFollow.cpp">
      <Filter>Game\CameraFollow</Filter>
    </ClCompile>
    <ClCompile Include="src\Game\PlayerMovement\PlayerMovement.cpp">
      <Filter>Game\PlayerMovement</Filter>
    </ClCompile>
    <ClCompile Include="src\Game\PlatformSystem\PlatformSystem.cpp">
      <Filter>Game\PlatformSystem</Filter>
    </ClCompile>
    <ClCompile Include="src\Factory\RegisterTypes.cpp">
      <Filter>Source Files\Factory</Filter>
    </ClCompile>
    <ClCompile Include="src\Animation\Easing.cpp">
      <Filter>Source Files\Path2D</Filter>
    </ClCompile>
    <ClCompile Include="src\Animation\Path2D.cpp">
      <Filter>Source Files\Path2D</Filter>
    </ClCompile>
    <ClCompile Include="src\StateMachines\BrainComponent\BrainComponent.cpp">
      <Filter>Source Files\StateMachines\BrainComponent</Filter>
    </ClCompile>
    <ClCompile Include="src\StateMachines\State\State.cpp">
      <Filter>Source Files\StateMachines\State</Filter>
    </ClCompile>
    <ClCompile Include="src\StateMachines\StateMachine\StateMachine.cpp">
      <Filter>Source Files\StateMachines\StateMachine</Filter>
    </ClCompile>
    <ClCompile Include="src\StateMachines\SuperState\SuperState.cpp">
      <Filter>Source Files\StateMachines\SuperState</Filter>
    </ClCompile>
    <ClCompile Include="src\RayCast\RayCastTest.cpp">
      <Filter>Source Files\RayCast\RayCast</Filter>
    </ClCompile>
    <ClCompile Include="src\RayCast\Raycast.cpp">
      <Filter>Source Files\RayCast\RayCast</Filter>
    </ClCompile>
    <ClCompile Include="src\RayCast\LineSegment2D.cpp">
      <Filter>Source Files\RayCast\LineSegment2D</Filter>
    </ClCompile>
    <ClCompile Include="src\RayCast\RayCaster.cpp">
      <Filter>Source Files\RayCast\RayCaster</Filter>
    </ClCompile>
    <ClCompile Include="src\EventSystem\EventDispatcher.cpp">
      <Filter>Source Files\EventSystem</Filter>
    </ClCompile>
    <ClCompile Include="src\EventSystem\Events\WindowEvents\WindowEvents.cpp">
      <Filter>Source Files\EventSystem\Events</Filter>
    </ClCompile>
    <ClCompile Include="src\RTTI\SM_RTTI.cpp">
      <Filter>Source Files\RTTI</Filter>
    </ClCompile>
    <ClCompile Include="src\Animation\SM_Animation.cpp">
      <Filter>Source Files\Animation</Filter>
    </ClCompile>
    <ClCompile Include="src\ResourceManager\ResourceManager.cpp">
      <Filter>Source Files\ResourceManager</Filter>
    </ClCompile>
    <ClCompile Include="src\OpenSaveFile\OpenSaveFile.cpp">
      <Filter>Source Files\OpenSaveFile</Filter>
    </ClCompile>
    <ClCompile Include="src\OpenSaveFile\FilePath.cpp">
      <Filter>Source Files\FilePath</Filter>
    </ClCompile>
    <ClCompile Include="src\Archetype\Archetype.cpp">
      <Filter>Source Files\Archetype</Filter>
    </ClCompile>
    <ClCompile Include="src\EventSystem\Events\ArchetypesEvents\ArchetypesEvents.cpp">
      <Filter>Source Files\EventSystem\Events</Filter>
    </ClCompile>
    <ClCompile Include="src\Archetype\ArchetypeFunctions.cpp">
      <Filter>Source Files\Archetype</Filter>
    </ClCompile>
    <ClCompile Include="src\Game\PlatformSystem\PlatformStates.cpp">
      <Filter>Game\PlatformSystem</Filter>
    </ClCompile>
    <ClCompile Include="src\Game\BasicEnemy\BasicEnemyStates.cpp">
      <Filter>Game\BasicEnemy</Filter>
    </ClCompile>
    <ClCompile Include="src\Game\BasicEnemy\BasicEnemySystem.cpp">
      <Filter>Game\BasicEnemy</Filter>
    </ClCompile>
    <ClCompile Include="src\Game\ChargerEnemy\ChargerEnemyStates.cpp">
      <Filter>Game\ChargerEnemy</Filter>
    </ClCompile>
    <ClCompile Include="src\Game\ChargerEnemy\ChargerEnemySystem.cpp">
      <Filter>Game\ChargerEnemy</Filter>
    </ClCompile>
    <ClCompile Include="src\Game\FlyingEnemy\FlyingEnemyStates.cpp">
      <Filter>Game\FlyingEnemy</Filter>
    </ClCompile>
    <ClCompile Include="src\Game\FlyingEnemy\FlyingEnemySystem.cpp">
      <Filter>Game\FlyingEnemy</Filter>
    </ClCompile>
    <ClCompile Include="src\Game\PlayerMovement\CombatStates.cpp">
      <Filter>Game\PlayerMovement</Filter>
    </ClCompile>
    <ClCompile Include="src\Game\GameInput\GameInput.cpp">
      <Filter>Game\GameInput</Filter>
    </ClCompile>
    <ClCompile Include="src\Game\TurretEnemy\TurretEnemyStates.cpp">
      <Filter>Game\TurretEnemy</Filter>
    </ClCompile>
    <ClCompile Include="src\Game\TurretEnemy\TurretEnemySystem.cpp">
      <Filter>Game\TurretEnemy</Filter>
    </ClCompile>
    <ClCompile Include="src\Collisions\CollisionTable.cpp">
      <Filter>Source Files\Collision\CollisionTable</Filter>
    </ClCompile>
    <ClCompile Include="src\Collisions\CollisionSystem.cpp">
      <Filter>Source Files\Collision\CollisionSystem</Filter>
    </ClCompile>
    <ClCompile Include="src\Collisions\Collisions.cpp">
      <Filter>Source Files\Collision\Collision</Filter>
    </ClCompile>
    <ClCompile Include="src\Collisions\ContactCollisions.cpp">
      <Filter>Source Files\Collision\ContactCollisions</Filter>
    </ClCompile>
    <ClCompile Include="src\Collisions\ICollider.cpp">
      <Filter>Source Files\Collision\Collider</Filter>
    </ClCompile>
    <ClCompile Include="src\Collisions\Polygon2D.cpp">
      <Filter>Source Files\Collision\Polygon</Filter>
    </ClCompile>
    <ClCompile Include="src\PropertySystem\PropertyMap.cpp">
      <Filter>Source Files\Factory\PropertySystem</Filter>
    </ClCompile>
    <ClCompile Include="src\PropertySystem\SerializationFunctions.cpp">
      <Filter>Source Files\Factory\PropertySystem</Filter>
    </ClCompile>
    <ClCompile Include="src\PropertySystem\PropertyMenu.cpp">
      <Filter>Source Files\Factory\PropertySystem</Filter>
    </ClCompile>
    <ClCompile Include="src\Game\Lifebar\Lifebar.cpp">
      <Filter>Game\Lifebar</Filter>
    </ClCompile>
    <ClCompile Include="src\Game\Purification\Purification.cpp">
      <Filter>Game\Purification</Filter>
    </ClCompile>
    <ClCompile Include="src\Game\SimplePlayerMovement\SimpleMovementStates.cpp">
      <Filter>Game\PlayerMovement</Filter>
    </ClCompile>
    <ClCompile Include="src\Game\SimplePlayerMovement\SimplePlayerMovement.cpp">
      <Filter>Game\PlayerMovement</Filter>
    </ClCompile>
    <ClCompile Include="src\Editor\EditorStateMachine\EditorStateMachine.cpp">
      <Filter>Source Files\Editor</Filter>
    </ClCompile>
    <ClCompile Include="src\Editor\EditorStateMachine\EditorStates.cpp">
      <Filter>Source Files\Editor</Filter>
    </ClCompile>
    <ClCompile Include="src\Game\HoverBoard\HoverBoard.cpp">
      <Filter>Game\HoverBoard</Filter>
    </ClCompile>
    <ClCompile Include="src\Time\Time.cpp">
      <Filter>Source Files\Time\FRC</Filter>
    </ClCompile>
    <ClCompile Include="src\Time\Timer.cpp">
      <Filter>Source Files\Time\Timer</Filter>
    </ClCompile>
    <ClCompile Include="src\AssertSystem\AssertSystem.cpp">
      <Filter>Source Files\AssertSystem</Filter>
    </ClCompile>
    <ClCompile Include="src\Game\PlayerMovement\MovementStates.cpp">
      <Filter>Game\PlayerMovement</Filter>
    </ClCompile>
    <ClCompile Include="src\EventSystem\EventHandler.cpp">
      <Filter>Source Files\EventSystem\EventHandler</Filter>
    </ClCompile>
    <ClCompile Include="src\Game\ArenaManager\ArenaManager.cpp">
      <Filter>Game\ArenaManager</Filter>
    </ClCompile>
    <ClCompile Include="src\Game\ArenaManager\TriggerArena\TriggerArena.cpp">
      <Filter>Game\ArenaManager\TriggerArena</Filter>
    </ClCompile>
    <ClCompile Include="src\Graphics\Font\Font.cpp">
      <Filter>Source Files\Graphics\Font</Filter>
    </ClCompile>
    <ClCompile Include="src\Game\Health\Health.cpp">
      <Filter>Game\Health</Filter>
    </ClCompile>
    <ClCompile Include="src\Game\GasEnemy\GasEnemyStates.cpp">
      <Filter>Game\GasEnemy</Filter>
    </ClCompile>
    <ClCompile Include="src\Game\GasEnemy\GasEnemySystem.cpp">
      <Filter>Game\GasEnemy</Filter>
    </ClCompile>
    <ClCompile Include="src\Game\GasEnemy\GasCloud.cpp">
      <Filter>Game\GasEnemy</Filter>
    </ClCompile>
    <ClCompile Include="src\Game\GasEnemy\GasExplosion.cpp">
      <Filter>Game\GasEnemy</Filter>
    </ClCompile>
    <ClCompile Include="src\Cheats\Cheats.cpp">
      <Filter>Source Files\Cheats</Filter>
    </ClCompile>
    <ClCompile Include="src\SpacePartitioning\Quadtree.cpp">
      <Filter>Source Files\SpacePartitioning</Filter>
    </ClCompile>
    <ClCompile Include="src\Graphics\Particle System\ParticleSystem.cpp">
      <Filter>Source Files\Graphics\ParticleSystem</Filter>
    </ClCompile>
    <ClCompile Include="src\Threadpool\Threadpool.cpp">
      <Filter>Source Files\Threadpool</Filter>
    </ClCompile>
    <ClCompile Include="src\EventSystem\Events\RigidbodyEvents\RigidBodyEvents.cpp">
      <Filter>Source Files\EventSystem\Events</Filter>
    </ClCompile>
    <ClCompile Include="src\Settings\Settings.cpp">
      <Filter>Source Files\Settings</Filter>
    </ClCompile>
    <ClCompile Include="src\Level\Level.cpp">
      <Filter>Source Files\Level</Filter>
    </ClCompile>
    <ClCompile Include="src\Debug\Console.cpp">
      <Filter>Source Files\Debug</Filter>
    </ClCompile>
    <ClCompile Include="src\Profiler\Profiler.cpp">
      <Filter>Source Files\Profiler</Filter>
    </ClCompile>
    <ClCompile Include="src\Audio\AudioListener.cpp">
      <Filter>Source Files\Audio</Filter>
    </ClCompile>
    <ClCompile Include="src\Game\TurretEnemy\BulletTimer.cpp">
      <Filter>Game\BulletTimer</Filter>
    </ClCompile>
    <ClCompile Include="src\RTTI\IComp.cpp">
      <Filter>Source Files\RTTI\IComp</Filter>
    </ClCompile>
    <ClCompile Include="src\EventSystem\Events\ResourcesEvents\ResourcesEvents.cpp">
      <Filter>Source Files\EventSystem\Events</Filter>
    </ClCompile>
    <ClCompile Include="src\Changer\Changer.cpp">
      <Filter>Source Files\Changer</Filter>
    </ClCompile>
    <ClCompile Include="src\Game\HoverBoard\TriggerHoverBoard\TriggerHoverBoard.cpp">
      <Filter>Game\HoverBoard\TriggerHoverboard</Filter>
    </ClCompile>
    <ClCompile Include="src\Game\Checkpoint\Checkpoint.cpp">
      <Filter>Source Files</Filter>
    </ClCompile>
    <ClCompile Include="src\Game\CameraFollow\CameraMachine.cpp">
      <Filter>Game\CameraFollow\CameraMachine</Filter>
    </ClCompile>
    <ClCompile Include="src\Game\CameraFollow\CameraStates.cpp">
      <Filter>Game\CameraFollow\CameraMachine</Filter>
    </ClCompile>
    <ClCompile Include="src\Game\CameraFollow\CameraTriggerer\CameraTriggerer.cpp">
      <Filter>Game\CameraFollow\CameraTriggerer</Filter>
    </ClCompile>
    <ClCompile Include="src\Game\Dialog\Dialog.cpp">
      <Filter>Source Files</Filter>
    </ClCompile>
    <ClCompile Include="src\SelectableComp\SelectableComp.cpp">
      <Filter>Source Files</Filter>
    </ClCompile>
    <ClCompile Include="src\MenuManager\MenuManager.cpp">
      <Filter>Source Files\MenuManager</Filter>
    </ClCompile>
    <ClCompile Include="src\MenuManager\MenuComponent.cpp">
      <Filter>Source Files\MenuManager</Filter>
    </ClCompile>
    <ClCompile Include="src\Game\Hitbox\Hitbox.cpp">
      <Filter>Game\Hitbox</Filter>
    </ClCompile>
    <ClCompile Include="src\Game\CameraFollow\CameraEffect\CameraEffect.cpp">
      <Filter>Game\CameraFollow\CameraEffect</Filter>
    </ClCompile>
    <ClCompile Include="src\Game\ShotReceiver\ShotReceiver.cpp">
      <Filter>Source Files</Filter>
    </ClCompile>
    <ClCompile Include="src\Game\Breakable\Breakable.cpp">
      <Filter>Source Files</Filter>
    </ClCompile>
    <ClCompile Include="src\Game\CameraFollow\Parallax\Parallax.cpp">
      <Filter>Source Files</Filter>
    </ClCompile>
    <ClCompile Include="src\Game\HoverBoard\RespawnHoverboard\RespawnHoverboard.cpp">
      <Filter>Game\HoverBoard\RespawnHoverboard</Filter>
    </ClCompile>
    <ClCompile Include="src\Game\GoBackToMenu\GoBackToMenu.cpp">
      <Filter>Source Files</Filter>
    </ClCompile>
    <ClCompile Include="src\TutorialDummy\TutorialDummy.cpp">
      <Filter>Game\TutorialDummy</Filter>
    </ClCompile>
    <ClCompile Include="src\Cursor\Cursor.cpp">
      <Filter>Source Files</Filter>
    </ClCompile>
    <ClCompile Include="src\Game\FlyingEnemy\FlockComp\FlockComp.cpp">
      <Filter>Source Files</Filter>
    </ClCompile>
    <ClCompile Include="src\Splines\SplineComp.cpp">
      <Filter>Source Files</Filter>
    </ClCompile>
    <ClCompile Include="src\Game\BasicEnemy\BasicTicketer\BasicTicketer.cpp">
      <Filter>Game\BasicEnemy\BasicTicketer</Filter>
    </ClCompile>
    <ClCompile Include="src\Game\BasicEnemy\BasicTicketer\BasicEnemyTicketStates.cpp">
      <Filter>Game\BasicEnemy\BasicTicketer</Filter>
    </ClCompile>
    <ClCompile Include="src\Game\BasicEnemy\BasicTicketer\BasicEnemyTicketSystem.cpp">
      <Filter>Game\BasicEnemy\BasicTicketer</Filter>
    </ClCompile>
    <ClCompile Include="src\Game\FlyingEnemy\FlockComp\FlockComp.cpp">
      <Filter>Source Files</Filter>
    </ClCompile>
    <ClCompile Include="src\Game\GasEnemy\GasTicketer\GasTicketer.cpp">
      <Filter>Game\GasEnemy\GasTicketer</Filter>
    </ClCompile>
    <ClCompile Include="src\SpacePunkGame\PlayerShipMovement\PlayerShipMovementMachine.cpp">
      <Filter>SpacePunkGame\Player\PlayerShipMovement</Filter>
    </ClCompile>
    <ClCompile Include="src\SpacePunkGame\PlayerShipMovement\PlayerShipMovementStates.cpp">
      <Filter>SpacePunkGame\Player\PlayerShipMovement</Filter>
    </ClCompile>
    <ClCompile Include="src\SpacePunkGame\PlayerShipAttack\PlayerShipAttackMachine.cpp">
      <Filter>SpacePunkGame\Player\PlayerShipAttack</Filter>
    </ClCompile>
    <ClCompile Include="src\SpacePunkGame\PlayerShipAttack\PlayerShipAttackStates.cpp">
      <Filter>SpacePunkGame\Player\PlayerShipAttack</Filter>
    </ClCompile>
    <ClCompile Include="src\SpacePunkGame\LaserBullet\LaserBullet.cpp">
      <Filter>SpacePunkGame\LaserBullet</Filter>
    </ClCompile>
    <ClCompile Include="src\SpacePunkGame\Asteroid\AsteroidMachine.cpp">
      <Filter>SpacePunkGame\Asteroid</Filter>
    </ClCompile>
    <ClCompile Include="src\SpacePunkGame\Asteroid\AsteroidStates.cpp">
      <Filter>SpacePunkGame\Asteroid</Filter>
    </ClCompile>
    <ClCompile Include="src\SpacePunkGame\ScreenWraper\ScreenWraper.cpp">
      <Filter>SpacePunkGame\ScreenWraper</Filter>
    </ClCompile>
    <ClCompile Include="src\SpacePunkGame\StandardEnemy\StandardEnemyMovement\StandardEnemyMovement.cpp">
      <Filter>SpacePunkGame\Enemies\StandardEnemy\StandardEnemyMovement</Filter>
    </ClCompile>
    <ClCompile Include="src\SpacePunkGame\StandardEnemy\StandardEnemyMovement\StandardEnemyMovementStates.cpp">
      <Filter>SpacePunkGame\Enemies\StandardEnemy\StandardEnemyMovement</Filter>
    </ClCompile>
    <ClCompile Include="src\SpacePunkGame\Evading\EvadingComponent.cpp">
      <Filter>SpacePunkGame\Enemies\EvadingComponent</Filter>
    </ClCompile>
    <ClCompile Include="src\SpacePunkGame\StandardEnemy\StandardEnemyAttack\StandardEnemyAttackMachine.cpp">
      <Filter>SpacePunkGame\Enemies\StandardEnemy\StandardEnemyAttack</Filter>
    </ClCompile>
    <ClCompile Include="src\SpacePunkGame\StandardEnemy\StandardEnemyAttack\StandardEnemyAttackStates.cpp">
      <Filter>SpacePunkGame\Enemies\StandardEnemy\StandardEnemyAttack</Filter>
    </ClCompile>
    <ClCompile Include="src\SpacePunkGame\StandardEnemy\StandardEnemyLaserBulletComp\StandardEnemyLaserBulletComp.cpp">
      <Filter>SpacePunkGame\Enemies\StandardEnemy\StandardEnemyLaserBulletComp</Filter>
    </ClCompile>
    <ClCompile Include="src\SpacePunkGame\HeavyEnemy\HeavyEnemyMovementMachine\HeavyEnemyMovementMachine.cpp">
      <Filter>SpacePunkGame\Enemies\HeavyEnemy\HeavyEnemyMovement</Filter>
    </ClCompile>
    <ClCompile Include="src\SpacePunkGame\HeavyEnemy\HeavyEnemyMovementMachine\HeavyEnemyMovementStates.cpp">
      <Filter>SpacePunkGame\Enemies\HeavyEnemy\HeavyEnemyMovement</Filter>
    </ClCompile>
    <ClCompile Include="src\SpacePunkGame\HeavyEnemy\HeavyEnemyAttackMachine\HeavyEnemyAttackMachine.cpp">
      <Filter>SpacePunkGame\Enemies\HeavyEnemy\HeavyEnemyAttack</Filter>
    </ClCompile>
    <ClCompile Include="src\SpacePunkGame\HeavyEnemy\HeavyEnemyAttackMachine\HeavyEnemyAttackStates.cpp">
      <Filter>SpacePunkGame\Enemies\HeavyEnemy\HeavyEnemyAttack</Filter>
    </ClCompile>
    <ClCompile Include="src\SpacePunkGame\HeavyEnemy\HeavyEnemyLaserBulletComp\HeavyEnemyLaserBulletComp.cpp">
      <Filter>SpacePunkGame\Enemies\HeavyEnemy\HeavyEnemyLaserBulletComp</Filter>
    </ClCompile>
    <ClCompile Include="src\SpacePunkGame\CameraShake\CameraShake.cpp">
      <Filter>SpacePunkGame\CameraShake</Filter>
    </ClCompile>
    <ClCompile Include="src\SpacePunkGame\HealthComp\HealthComp.cpp">
      <Filter>SpacePunkGame\Player\HealthComponent</Filter>
    </ClCompile>
    <ClCompile Include="src\SpacePunkGame\WaveComponent\WaveComp.cpp">
      <Filter>SpacePunkGame\WaveComponent</Filter>
    </ClCompile>
    <ClCompile Include="src\SpacePunkGame\WaveComponent\WaveManager.cpp">
      <Filter>SpacePunkGame\Player\WaveManager</Filter>
    </ClCompile>
  </ItemGroup>
  <ItemGroup>
    <ClInclude Include="src\GameObject\GameObject.h">
      <Filter>Source Files\GameObject</Filter>
    </ClInclude>
    <ClInclude Include="src\Transform2D\Transform2D.h">
      <Filter>Source Files\Transform2D</Filter>
    </ClInclude>
    <ClInclude Include="src\Input\Input.h">
      <Filter>Source Files\Input</Filter>
    </ClInclude>
    <ClInclude Include="src\Graphics\RenderManager\RenderManager.h">
      <Filter>Source Files\Graphics\RenderManager</Filter>
    </ClInclude>
    <ClInclude Include="src\Graphics\Window\Window.h">
      <Filter>Source Files\Graphics\Window</Filter>
    </ClInclude>
    <ClInclude Include="src\Graphics\OGLDebug\OGLDebug.h">
      <Filter>Source Files\Graphics\OGLDebug</Filter>
    </ClInclude>
    <ClInclude Include="src\Graphics\Mesh\Mesh.h">
      <Filter>Source Files\Graphics\Mesh</Filter>
    </ClInclude>
    <ClInclude Include="src\Graphics\Vertex\Vertex.h">
      <Filter>Source Files\Graphics\Vertex</Filter>
    </ClInclude>
    <ClInclude Include="src\Graphics\Color\Color.h">
      <Filter>Source Files\Graphics\Color</Filter>
    </ClInclude>
    <ClInclude Include="src\Graphics\Shaders\Shader.h">
      <Filter>Source Files\Graphics\Shaders</Filter>
    </ClInclude>
    <ClInclude Include="src\Graphics\Texture\Texture.h">
      <Filter>Source Files\Graphics\Texture</Filter>
    </ClInclude>
    <ClInclude Include="src\RTTI\IBase.h">
      <Filter>Source Files\RTTI</Filter>
    </ClInclude>
    <ClInclude Include="src\RTTI\IComp.h">
      <Filter>Source Files\RTTI</Filter>
    </ClInclude>
    <ClInclude Include="src\Extern\STB\stb_image.h">
      <Filter>Source Files\Extern\STB</Filter>
    </ClInclude>
    <ClInclude Include="src\Extern\STB\stb_image_write.h">
      <Filter>Source Files\Extern\STB</Filter>
    </ClInclude>
    <ClInclude Include="src\Graphics\Camera\Camera.h">
      <Filter>Source Files\Graphics\Camera</Filter>
    </ClInclude>
    <ClInclude Include="src\Singleton\Singleton.h">
      <Filter>Source Files\Singleton</Filter>
    </ClInclude>
    <ClInclude Include="src\MainEngine\MainEngine.h">
      <Filter>Source Files\MainEngine</Filter>
    </ClInclude>
    <ClInclude Include="src\Editor\Editor.h">
      <Filter>Source Files\Editor</Filter>
    </ClInclude>
    <ClInclude Include="src\Extern\ImGui\imgui.h">
      <Filter>Source Files\Extern\ImGui</Filter>
    </ClInclude>
    <ClInclude Include="src\Extern\ImGui\imgui_impl_opengl3.h">
      <Filter>Source Files\Extern\ImGui</Filter>
    </ClInclude>
    <ClInclude Include="src\Extern\ImGui\imgui_impl_sdl.h">
      <Filter>Source Files\Extern\ImGui</Filter>
    </ClInclude>
    <ClInclude Include="src\Extern\ImGui\imgui_internal.h">
      <Filter>Source Files\Extern\ImGui</Filter>
    </ClInclude>
    <ClInclude Include="src\Extern\ImGui\imstb_rectpack.h">
      <Filter>Source Files\Extern\ImGui</Filter>
    </ClInclude>
    <ClInclude Include="src\Extern\ImGui\imstb_textedit.h">
      <Filter>Source Files\Extern\ImGui</Filter>
    </ClInclude>
    <ClInclude Include="src\Extern\ImGui\imstb_truetype.h">
      <Filter>Source Files\Extern\ImGui</Filter>
    </ClInclude>
    <ClInclude Include="src\Scene\Scene.h">
      <Filter>Source Files\Scene</Filter>
    </ClInclude>
    <ClInclude Include="src\Space\Space.h">
      <Filter>Source Files\Space</Filter>
    </ClInclude>
    <ClInclude Include="src\Transform2D\TransformComponent.h">
      <Filter>Source Files\Transform2D</Filter>
    </ClInclude>
    <ClInclude Include="src\Graphics\Renderable\Renderable.h">
      <Filter>Source Files\Graphics\Renderable</Filter>
    </ClInclude>
    <ClInclude Include="src\LogicSystem\LogicSystem.h">
      <Filter>Source Files\LogicSystem</Filter>
    </ClInclude>
    <ClInclude Include="src\Extern\ImGui\imconfig.h">
      <Filter>Source Files\Extern\ImGui</Filter>
    </ClInclude>
    <ClInclude Include="src\Factory\Factory.h">
      <Filter>Source Files\Factory</Filter>
    </ClInclude>
    <ClInclude Include="src\Physics\RigidBody.h">
      <Filter>Source Files\Physics</Filter>
    </ClInclude>
    <ClInclude Include="src\Physics\PhysicSystem.h">
      <Filter>Source Files\Physics</Filter>
    </ClInclude>
    <ClInclude Include="src\Audio\AudioManager.h">
      <Filter>Source Files\Audio</Filter>
    </ClInclude>
    <ClInclude Include="src\LogicSystem\LogicComponent.h">
      <Filter>Source Files\LogicSystem</Filter>
    </ClInclude>
    <ClInclude Include="src\Audio\SoundEmitter.h">
      <Filter>Source Files\Audio</Filter>
    </ClInclude>
    <ClInclude Include="src\Audio\Sound.h">
      <Filter>Source Files\Audio</Filter>
    </ClInclude>
    <ClInclude Include="src\Audio\Voice.h">
      <Filter>Source Files\Audio</Filter>
    </ClInclude>
    <ClInclude Include="src\Editor\Menus\Menus.h">
      <Filter>Source Files\Editor\Menus</Filter>
    </ClInclude>
    <ClInclude Include="src\Editor\ObjectEdition\ObjectEdition.h">
      <Filter>Source Files\Editor\ObjectEdition</Filter>
    </ClInclude>
    <ClInclude Include="src\Game\CameraFollow\CameraFollow.h">
      <Filter>Game\CameraFollow</Filter>
    </ClInclude>
    <ClInclude Include="src\Game\PlayerMovement\PlayerMovement.h">
      <Filter>Game\PlayerMovement</Filter>
    </ClInclude>
    <ClInclude Include="src\Game\PlatformSystem\PlatformSystem.h">
      <Filter>Game\PlatformSystem</Filter>
    </ClInclude>
    <ClInclude Include="src\Factory\RegisterTypes.h">
      <Filter>Source Files\Factory</Filter>
    </ClInclude>
    <ClInclude Include="src\Animation\Easing.h">
      <Filter>Source Files\Path2D</Filter>
    </ClInclude>
    <ClInclude Include="src\Animation\Path2D.h">
      <Filter>Source Files\Path2D</Filter>
    </ClInclude>
    <ClInclude Include="src\StateMachines\BrainComponent\BrainComponent.h">
      <Filter>Source Files\StateMachines\BrainComponent</Filter>
    </ClInclude>
    <ClInclude Include="src\StateMachines\State\State.h">
      <Filter>Source Files\StateMachines\State</Filter>
    </ClInclude>
    <ClInclude Include="src\StateMachines\StateMachine\StateMachine.h">
      <Filter>Source Files\StateMachines\StateMachine</Filter>
    </ClInclude>
    <ClInclude Include="src\StateMachines\SuperState\SuperState.h">
      <Filter>Source Files\StateMachines\SuperState</Filter>
    </ClInclude>
    <ClInclude Include="src\RayCast\RayCastTest.h">
      <Filter>Source Files\RayCast\RayCast</Filter>
    </ClInclude>
    <ClInclude Include="src\RayCast\Raycast.h">
      <Filter>Source Files\RayCast\RayCast</Filter>
    </ClInclude>
    <ClInclude Include="src\RayCast\LineSegment2D.h">
      <Filter>Source Files\RayCast\LineSegment2D</Filter>
    </ClInclude>
    <ClInclude Include="src\RayCast\RayCaster.h">
      <Filter>Source Files\RayCast\RayCaster</Filter>
    </ClInclude>
    <ClInclude Include="src\EventSystem\EventDispatcher.h">
      <Filter>Source Files\EventSystem</Filter>
    </ClInclude>
    <ClInclude Include="src\EventSystem\Events\WindowEvents\WindowEvents.h">
      <Filter>Source Files\EventSystem\Events</Filter>
    </ClInclude>
    <ClInclude Include="src\EventSystem\Listener\Listener.h">
      <Filter>Source Files\EventSystem\Listener</Filter>
    </ClInclude>
    <ClInclude Include="src\EventSystem\Event\Event.h">
      <Filter>Source Files\EventSystem\Event</Filter>
    </ClInclude>
    <ClInclude Include="src\EventSystem\EventHandler.h">
      <Filter>Source Files\EventSystem\EventHandler</Filter>
    </ClInclude>
    <ClInclude Include="src\RTTI\SM_RTTI.h">
      <Filter>Source Files\RTTI</Filter>
    </ClInclude>
    <ClInclude Include="src\Animation\SM_Animation.h">
      <Filter>Source Files\Animation</Filter>
    </ClInclude>
    <ClInclude Include="src\ResourceManager\ResourceManager.h">
      <Filter>Source Files\ResourceManager</Filter>
    </ClInclude>
    <ClInclude Include="src\OpenSaveFile\OpenSaveFile.h">
      <Filter>Source Files\OpenSaveFile</Filter>
    </ClInclude>
    <ClInclude Include="src\OpenSaveFile\FilePath.h">
      <Filter>Source Files\FilePath</Filter>
    </ClInclude>
    <ClInclude Include="src\EventSystem\Events\ArchetypesEvents\ArchetypesEvents.h">
      <Filter>Source Files\EventSystem\Events</Filter>
    </ClInclude>
    <ClInclude Include="src\Archetype\Archetype.h">
      <Filter>Source Files\Archetype</Filter>
    </ClInclude>
    <ClInclude Include="src\Archetype\ArchetypeFunctions.h">
      <Filter>Source Files\Archetype</Filter>
    </ClInclude>
    <ClInclude Include="src\Game\PlayerMovement\MovementStates.h">
      <Filter>Game\PlayerMovement</Filter>
    </ClInclude>
    <ClInclude Include="src\Game\PlatformSystem\PlatformStates.h">
      <Filter>Game\PlatformSystem</Filter>
    </ClInclude>
    <ClInclude Include="src\Game\BasicEnemy\BasicEnemyStates.h">
      <Filter>Game\BasicEnemy</Filter>
    </ClInclude>
    <ClInclude Include="src\Game\BasicEnemy\BasicEnemySystem.h">
      <Filter>Game\BasicEnemy</Filter>
    </ClInclude>
    <ClInclude Include="src\Game\ChargerEnemy\ChargerEnemyStates.h">
      <Filter>Game\ChargerEnemy</Filter>
    </ClInclude>
    <ClInclude Include="src\Game\ChargerEnemy\ChargerEnemySystem.h">
      <Filter>Game\ChargerEnemy</Filter>
    </ClInclude>
    <ClInclude Include="src\Game\FlyingEnemy\FlyingEnemyStates.h">
      <Filter>Game\FlyingEnemy</Filter>
    </ClInclude>
    <ClInclude Include="src\Game\FlyingEnemy\FlyingEnemySystem.h">
      <Filter>Game\FlyingEnemy</Filter>
    </ClInclude>
    <ClInclude Include="src\Game\PlayerMovement\CombatStates.h">
      <Filter>Game\PlayerMovement</Filter>
    </ClInclude>
    <ClInclude Include="src\Game\GameInput\GameInput.h">
      <Filter>Game\GameInput</Filter>
    </ClInclude>
    <ClInclude Include="src\Game\TurretEnemy\TurretEnemyStates.h">
      <Filter>Game\TurretEnemy</Filter>
    </ClInclude>
    <ClInclude Include="src\Game\TurretEnemy\TurretEnemySystem.h">
      <Filter>Game\TurretEnemy</Filter>
    </ClInclude>
    <ClInclude Include="src\Game\PlayerMovement\Combos.h">
      <Filter>Game\PlayerMovement</Filter>
    </ClInclude>
    <ClInclude Include="src\Collisions\CollisionTable.h">
      <Filter>Source Files\Collision\CollisionTable</Filter>
    </ClInclude>
    <ClInclude Include="src\Collisions\CollisionSystem.h">
      <Filter>Source Files\Collision\CollisionSystem</Filter>
    </ClInclude>
    <ClInclude Include="src\Collisions\Collisions.h">
      <Filter>Source Files\Collision\Collision</Filter>
    </ClInclude>
    <ClInclude Include="src\Collisions\ContactCollisions.h">
      <Filter>Source Files\Collision\ContactCollisions</Filter>
    </ClInclude>
    <ClInclude Include="src\Collisions\ICollider.h">
      <Filter>Source Files\Collision\Collider</Filter>
    </ClInclude>
    <ClInclude Include="src\Collisions\Polygon2D.h">
      <Filter>Source Files\Collision\Polygon</Filter>
    </ClInclude>
    <ClInclude Include="src\PropertySystem\Property.h">
      <Filter>Source Files\Factory\PropertySystem</Filter>
    </ClInclude>
    <ClInclude Include="src\PropertySystem\PropertyMap.h">
      <Filter>Source Files\Factory\PropertySystem</Filter>
    </ClInclude>
    <ClInclude Include="src\PropertySystem\SerializationFunctions.h">
      <Filter>Source Files\Factory\PropertySystem</Filter>
    </ClInclude>
    <ClInclude Include="src\PropertySystem\PropertyMenu.h">
      <Filter>Source Files\Factory\PropertySystem</Filter>
    </ClInclude>
    <ClInclude Include="src\Game\Lifebar\Lifebar.h">
      <Filter>Game\Lifebar</Filter>
    </ClInclude>
    <ClInclude Include="src\Game\Purification\Purification.h">
      <Filter>Game\Purification</Filter>
    </ClInclude>
    <ClInclude Include="src\Game\SimplePlayerMovement\SimpleMovementStates.h">
      <Filter>Game\PlayerMovement</Filter>
    </ClInclude>
    <ClInclude Include="src\Game\SimplePlayerMovement\SimplePlayerMovement.h">
      <Filter>Game\PlayerMovement</Filter>
    </ClInclude>
    <ClInclude Include="src\Editor\EditorStateMachine\EditorStateMachine.h">
      <Filter>Source Files\Editor</Filter>
    </ClInclude>
    <ClInclude Include="src\Editor\EditorStateMachine\EditorStates.h">
      <Filter>Source Files\Editor</Filter>
    </ClInclude>
    <ClInclude Include="src\Game\HoverBoard\HoverBoard.h">
      <Filter>Game\HoverBoard</Filter>
    </ClInclude>
    <ClInclude Include="src\Time\Time.h">
      <Filter>Source Files\Time\FRC</Filter>
    </ClInclude>
    <ClInclude Include="src\Time\Timer.h">
      <Filter>Source Files\Time\Timer</Filter>
    </ClInclude>
    <ClInclude Include="src\AssertSystem\AssertSystem.h">
      <Filter>Source Files\AssertSystem</Filter>
    </ClInclude>
    <ClInclude Include="src\Game\ArenaManager\ArenaManager.h">
      <Filter>Game\ArenaManager</Filter>
    </ClInclude>
    <ClInclude Include="src\Game\ArenaManager\TriggerArena\TriggerArena.h">
      <Filter>Game\ArenaManager\TriggerArena</Filter>
    </ClInclude>
    <ClInclude Include="src\Graphics\Font\Font.h">
      <Filter>Source Files\Graphics\Font</Filter>
    </ClInclude>
    <ClInclude Include="src\Game\Health\Health.h">
      <Filter>Game\Health</Filter>
    </ClInclude>
    <ClInclude Include="src\Game\GasEnemy\GasEnemyStates.h">
      <Filter>Game\GasEnemy</Filter>
    </ClInclude>
    <ClInclude Include="src\Game\GasEnemy\GasEnemySystem.h">
      <Filter>Game\GasEnemy</Filter>
    </ClInclude>
    <ClInclude Include="src\Game\GasEnemy\GasCloud.h">
      <Filter>Game\GasEnemy</Filter>
    </ClInclude>
    <ClInclude Include="src\Game\GasEnemy\GasExplosion.h">
      <Filter>Game\GasEnemy</Filter>
    </ClInclude>
    <ClInclude Include="src\Cheats\Cheats.h">
      <Filter>Source Files\Cheats</Filter>
    </ClInclude>
    <ClInclude Include="src\SpacePartitioning\Quadtree.h">
      <Filter>Source Files\SpacePartitioning</Filter>
    </ClInclude>
    <ClInclude Include="src\Graphics\Particle System\ParticleSystem.h">
      <Filter>Source Files\Graphics\ParticleSystem</Filter>
    </ClInclude>
    <ClInclude Include="src\Threadpool\Threadpool.h">
      <Filter>Source Files\Threadpool</Filter>
    </ClInclude>
    <ClInclude Include="src\EventSystem\Events\RigidbodyEvents\RigidbodyEvents.h">
      <Filter>Source Files\EventSystem\Events</Filter>
    </ClInclude>
    <ClInclude Include="src\Settings\Settings.h">
      <Filter>Source Files\Settings</Filter>
    </ClInclude>
    <ClInclude Include="src\Level\Level.h">
      <Filter>Source Files\Level</Filter>
    </ClInclude>
    <ClInclude Include="src\Debug\Console.h">
      <Filter>Source Files\Debug</Filter>
    </ClInclude>
    <ClInclude Include="src\Profiler\Profiler.h">
      <Filter>Source Files\Profiler</Filter>
    </ClInclude>
    <ClInclude Include="src\Audio\AudioListener.h">
      <Filter>Source Files\Audio</Filter>
    </ClInclude>
    <ClInclude Include="src\Game\TurretEnemy\BulletTimer.h">
      <Filter>Game\BulletTimer</Filter>
    </ClInclude>
    <ClInclude Include="src\RTTI\IComp.h">
      <Filter>Source Files\RTTI\IComp</Filter>
    </ClInclude>
    <ClInclude Include="src\RTTI\IBase.h">
      <Filter>Source Files\RTTI\IBase</Filter>
    </ClInclude>
    <ClInclude Include="src\EventSystem\Events\ResourcesEvents\ResourcesEvents.h">
      <Filter>Source Files\EventSystem\Events</Filter>
    </ClInclude>
    <ClInclude Include="src\Changer\Changer.h">
      <Filter>Source Files\Changer</Filter>
    </ClInclude>
    <ClInclude Include="src\SelectableComp\SelectableComp.h">
      <Filter>Header Files</Filter>
    </ClInclude>
    <ClInclude Include="src\Game\HoverBoard\TriggerHoverBoard\TriggerHoverBoard.h">
      <Filter>Game\HoverBoard\TriggerHoverboard</Filter>
    </ClInclude>
    <ClInclude Include="src\Game\Checkpoint\Checkpoint.h">
      <Filter>Header Files</Filter>
    </ClInclude>
    <ClInclude Include="src\Game\CameraFollow\CameraMachine.h">
      <Filter>Game\CameraFollow\CameraMachine</Filter>
    </ClInclude>
    <ClInclude Include="src\Game\CameraFollow\CameraStates.h">
      <Filter>Game\CameraFollow\CameraMachine</Filter>
    </ClInclude>
    <ClInclude Include="src\Game\CameraFollow\CameraTriggerer\CameraTriggerer.h">
      <Filter>Game\CameraFollow\CameraTriggerer</Filter>
    </ClInclude>
    <ClInclude Include="src\Game\Dialog\Dialog.h">
      <Filter>Header Files</Filter>
    </ClInclude>
    <ClInclude Include="src\MenuManager\MenuManager.h">
      <Filter>Source Files\MenuManager</Filter>
    </ClInclude>
    <ClInclude Include="src\MenuManager\MenuComponent.h">
      <Filter>Source Files\MenuManager</Filter>
    </ClInclude>
    <ClInclude Include="src\Game\Hitbox\Hitbox.h">
      <Filter>Game\Hitbox</Filter>
    </ClInclude>
    <ClInclude Include="src\Game\CameraFollow\CameraEffect\CameraEffect.h">
      <Filter>Game\CameraFollow\CameraEffect</Filter>
    </ClInclude>
    <ClInclude Include="src\Game\ShotReceiver\ShotReceiver.h">
      <Filter>Game\PlayerMovement</Filter>
    </ClInclude>
    <ClInclude Include="src\Game\Breakable\Breakable.h">
      <Filter>Header Files</Filter>
    </ClInclude>
    <ClInclude Include="src\Game\CameraFollow\Parallax\Parallax.h">
      <Filter>Game\CameraFollow\Parallax</Filter>
    </ClInclude>
    <ClInclude Include="src\Game\HoverBoard\RespawnHoverboard\RespawnHoverboard.h">
      <Filter>Game\HoverBoard\RespawnHoverboard</Filter>
    </ClInclude>
    <ClInclude Include="src\Game\GoBackToMenu\GoBackToMenu.h">
      <Filter>Header Files</Filter>
    </ClInclude>
    <ClInclude Include="src\TutorialDummy\TutorialDummy.h">
      <Filter>Game\TutorialDummy</Filter>
    </ClInclude>
    <ClInclude Include="src\Cursor\Cursor.h">
      <Filter>Header Files</Filter>
    </ClInclude>
    <ClInclude Include="src\Game\FlyingEnemy\FlockComp\FlockComp.h">
      <Filter>Header Files</Filter>
    </ClInclude>
    <ClInclude Include="src\Splines\SplineComp.h">
      <Filter>Header Files</Filter>
    </ClInclude>
    <ClInclude Include="src\Game\BasicEnemy\BasicTicketer\BasicTicketer.h">
      <Filter>Game\BasicEnemy\BasicTicketer</Filter>
    </ClInclude>
    <ClInclude Include="src\Game\BasicEnemy\BasicTicketer\BasicEnemyTicketStates.h">
      <Filter>Game\BasicEnemy\BasicTicketer</Filter>
    </ClInclude>
    <ClInclude Include="src\Game\BasicEnemy\BasicTicketer\BasicEnemyTicketSystem.h">
      <Filter>Game\BasicEnemy\BasicTicketer</Filter>
    </ClInclude>
    <ClInclude Include="src\Game\FlyingEnemy\FlockComp\FlockComp.h">
      <Filter>Header Files</Filter>
    </ClInclude>
    <ClInclude Include="src\Game\GasEnemy\GasTicketer\GasTicketer.h">
      <Filter>Game\GasEnemy\GasTicketer</Filter>
    </ClInclude>
    <ClInclude Include="src\SpacePunkGame\PlayerShipMovement\PlayerShipMovementStates.h">
      <Filter>SpacePunkGame\Player\PlayerShipMovement</Filter>
    </ClInclude>
    <ClInclude Include="src\SpacePunkGame\PlayerShipMovement\PlayerShipMovementMachine.h">
      <Filter>SpacePunkGame\Player\PlayerShipMovement</Filter>
    </ClInclude>
    <ClInclude Include="src\SpacePunkGame\PlayerShipAttack\PlayerShipAttackMachine.h">
      <Filter>SpacePunkGame\Player\PlayerShipAttack</Filter>
    </ClInclude>
    <ClInclude Include="src\SpacePunkGame\PlayerShipAttack\PlayerShipAttackStates.h">
      <Filter>SpacePunkGame\Player\PlayerShipAttack</Filter>
    </ClInclude>
    <ClInclude Include="src\SpacePunkGame\LaserBullet\LaserBullet.h">
      <Filter>SpacePunkGame\LaserBullet</Filter>
    </ClInclude>
    <ClInclude Include="src\SpacePunkGame\Asteroid\AsteroidMachine.h">
      <Filter>SpacePunkGame\Asteroid</Filter>
    </ClInclude>
    <ClInclude Include="src\SpacePunkGame\Asteroid\AsteroidStates.h">
      <Filter>SpacePunkGame\Asteroid</Filter>
    </ClInclude>
    <ClInclude Include="src\SpacePunkGame\ScreenWraper\ScreenWraper.h">
      <Filter>SpacePunkGame\ScreenWraper</Filter>
    </ClInclude>
    <ClInclude Include="src\SpacePunkGame\StandardEnemy\StandardEnemyMovement\StandardEnemyMovementMachine.h">
      <Filter>SpacePunkGame\Enemies\StandardEnemy\StandardEnemyMovement</Filter>
    </ClInclude>
    <ClInclude Include="src\SpacePunkGame\StandardEnemy\StandardEnemyMovement\StandardEnemyMovementStates.h">
      <Filter>SpacePunkGame\Enemies\StandardEnemy\StandardEnemyMovement</Filter>
    </ClInclude>
    <ClInclude Include="src\SpacePunkGame\Evading\EvadingComponent.h">
      <Filter>SpacePunkGame\Enemies\EvadingComponent</Filter>
    </ClInclude>
    <ClInclude Include="src\SpacePunkGame\StandardEnemy\StandardEnemyAttack\StandardEnemyAttackMachine.h">
      <Filter>SpacePunkGame\Enemies\StandardEnemy\StandardEnemyAttack</Filter>
    </ClInclude>
    <ClInclude Include="src\SpacePunkGame\StandardEnemy\StandardEnemyAttack\StandardEnemyAttackStates.h">
      <Filter>SpacePunkGame\Enemies\StandardEnemy\StandardEnemyAttack</Filter>
    </ClInclude>
    <ClInclude Include="src\SpacePunkGame\StandardEnemy\StandardEnemyLaserBulletComp\StandardEnemyLaserBulletComp.h">
      <Filter>SpacePunkGame\Enemies\StandardEnemy\StandardEnemyLaserBulletComp</Filter>
    </ClInclude>
    <ClInclude Include="src\SpacePunkGame\HeavyEnemy\HeavyEnemyMovementMachine\HeavyEnemyMovementMachine.h">
      <Filter>SpacePunkGame\Enemies\HeavyEnemy\HeavyEnemyMovement</Filter>
    </ClInclude>
    <ClInclude Include="src\SpacePunkGame\HeavyEnemy\HeavyEnemyMovementMachine\HeavyEnemyMovementStates.h">
      <Filter>SpacePunkGame\Enemies\HeavyEnemy\HeavyEnemyMovement</Filter>
    </ClInclude>
    <ClInclude Include="src\SpacePunkGame\HeavyEnemy\HeavyEnemyAttackMachine\HeavyEnemyAttackMachine.h">
      <Filter>SpacePunkGame\Enemies\HeavyEnemy\HeavyEnemyAttack</Filter>
    </ClInclude>
    <ClInclude Include="src\SpacePunkGame\HeavyEnemy\HeavyEnemyAttackMachine\HeavyEnemyAttackStates.h">
      <Filter>SpacePunkGame\Enemies\HeavyEnemy\HeavyEnemyAttack</Filter>
    </ClInclude>
    <ClInclude Include="src\SpacePunkGame\HeavyEnemy\HeavyEnemyLaserBulletComp\HeavyEnemyLaserBulletComp.h">
      <Filter>SpacePunkGame\Enemies\HeavyEnemy\HeavyEnemyLaserBulletComp</Filter>
    </ClInclude>
    <ClInclude Include="src\SpacePunkGame\CameraShake\CameraShake.h">
      <Filter>SpacePunkGame\CameraShake</Filter>
    </ClInclude>
    <ClInclude Include="src\SpacePunkGame\HealthComp\HealthComp.h">
      <Filter>SpacePunkGame\Player\HealthComponent</Filter>
    </ClInclude>
    <ClInclude Include="src\SpacePunkGame\WaveComponent\WaveComp.h">
      <Filter>SpacePunkGame\WaveComponent</Filter>
    </ClInclude>
    <ClInclude Include="src\SpacePunkGame\WaveComponent\WaveManager.h">
      <Filter>SpacePunkGame\Player\WaveManager</Filter>
    </ClInclude>
  </ItemGroup>
</Project>